--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: hostnames
block_params: hostname
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns an array containing all of the hostnames for this host, and passes them each to a block if one is given
full_name: Nmap::Parser::Host#all_hostnames
is_singleton: false
name: all_hostnames
params: () {|hostname| ...}
visibility: public
